/*---------------------------------------------------------------------------
 * sys_comm.h -- include file for cs542 comm package
 *
 *---------------------------------------------------------------------------
 */
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <signal.h>
#include <errno.h>
#include <sys/stat.h>
#include <sys/file.h>
#include <stdio.h>

#define	MAX_SITES	16

extern int MySID;

#define MAX_PKT_LEN	512
#define MAX_MSG_LEN	500

#define TRUE		1
#define FALSE		0

#define zero(x) 	bzero((char *) &(x), sizeof(x));

#define ERROR		-1
#define OK		1
#define TIMEOUT		2

#define TIMEOUT_SEC	30

#define START_PORT	3000
#define	END_PORT	10000

extern int 	errno;
