#include <stdio.h>
#include <sys/file.h>
#include "comm.h"
#include "simtypes.h"
#include "direct.h"
/*extern directory_type directories; */
/*====================================================================
 * send_directory - used by a site to send a copy of the 
 *		    directories to another site.
 *====================================================================
 */
send_directory(dest)
site_id_type dest ; 
{ 	int 		sed_message(); 
	msg_type	*reply_msg; 

	reply_msg = (msg_type *) malloc (sizeof(msg_type)) ; 
	reply_msg->source = MySID ; 
	reply_msg->dest = dest ; 
	reply_msg->type = control ; 
	reply_msg->subtype = directory_ack ; 
	bcopy(directories,reply_msg->c.ctl_direct, sizeof(directories)); 
	send_message(reply_msg) ; 
	free(reply_msg) ; 
} 
/*====================================================================
 * request_directory - used by a site to request a copy of the 
 *		    directories to the manager.
 *====================================================================
 */
request_directory()
{ 	msg_type 	*req_msg; 
	int 		send_message(); 

	req_msg = (msg_type *) malloc (sizeof(msg_type)) ; 
	req_msg->source = MySID ; 
	req_msg->dest = SIMULATION_MGR_ID ; 
	req_msg->type = control ; 
	req_msg->subtype = directory_copy ; 
	send_message(req_msg) ; 
	free(req_msg) ; 
} 
/*====================================================================
 * receive_directory - used by a site to receive a copy of the 
 *		    directories from the manager.
 *====================================================================
 */
receive_directory() 
{ 	msg_type	rcv_message; 

	if (receive_message(&rcv_message) != ERROR) { 
	   if ( rcv_message.type == control && 
	       rcv_message.subtype == directory_ack ) {
printf("just received the directories\n") ; 
	       bcopy(rcv_message.c.ctl_direct,directories,sizeof(directories)); 
	   } 
	   else 
	       printf("*** --- ERROR1 in receive_directory --- *** \n");
	} 
	else 
	    printf("*** --- ERROR2 in receive_directory --- *** \n") ; 
} 
