/*---------------------------------------------------------------------------
:  This file contains utility procedures for sending managing messages
---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
:  Header files
---------------------------------------------------------------------------*/

#  include  <stdio.h>
#  include  "comm.h"
#  include  "simtypes.h"
#  include  "extdata.h"

/*------------------------------------------------------------------------
 * send_managing_failed()
 *------------------------------------------------------------------------
 */
 send_managing_failed(destination)
	site_id_type	destination;
{
	msg_type	*resp_mesg;

	resp_mesg = (msg_type *)malloc(sizeof(msg_type));
	resp_mesg->source  = MySID;
	resp_mesg->dest    = destination;
	resp_mesg->type	   = managing;
	resp_mesg->subtype = failed;
	send_message(resp_mesg);
	free(resp_mesg);
}

/*------------------------------------------------------------------------
 * send_managing_up()
 *------------------------------------------------------------------------
 */
 send_managing_up(destination)
	site_id_type	destination;
{
	msg_type	*resp_mesg;

	resp_mesg = (msg_type *)malloc(sizeof(msg_type));
	resp_mesg->source  = MySID;
	resp_mesg->dest    = destination;
	resp_mesg->type	   = managing;
	resp_mesg->subtype = up;
	send_message(resp_mesg);
	free(resp_mesg);
}

/*------------------------------------------------------------------------
 * send_managing_allow_recovery()
 *------------------------------------------------------------------------
 */
 send_managing_allow_recovery(destination,subject)
	site_id_type	destination;
	site_id_type	subject;
{
	msg_type	*resp_mesg;

	resp_mesg = (msg_type *)malloc(sizeof(msg_type));
	resp_mesg->source          = SIMULATION_MGR_ID;
	resp_mesg->dest            = destination;
	resp_mesg->type	           = managing;
	resp_mesg->subtype         = allow_recovery;
	resp_mesg->c.ctl.subj_site = subject;
	send_message(resp_mesg);
	free(resp_mesg);
}
